Subject: Re: Accessing I2C from User Space

From: Matt Porter <[email-masked]>
Date: Sun, 5 Jan 2003 21:07:30 -0700

On Fri, Dec 27, 2002 at 12:59:49PM +0530, Aman wrote:
>
> Hi,
>
> Iam working on IBM 440gp. I need to access the IIC registers from the
> user space. So I wrote a driver mmap entry point. But I noticed that the
> function remap_page_range () takes physical address as unsigned long which
> is 32 bits. How do I remap the IIC registers which lie in the 36 bit
> physical address space?

There's a reference to a patch in one of my changeset entries.  It pays
to keep current with the development trees.  See the changesets in your
local BK tree or browse the linuxppc-commit archives.

BTW, why the need to manipulate the registers directly?

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/